As a Mac OS X user, and fairly novice Ruby scripter, I would recommend leaving 
1.8 alone on the system. Simply have them install RVM, then use RVM to install 
Ruby 1.9.3 and manage the Ruby version on the computer. This is the easiest way, 
in my opinion, to install Ruby updates. In addition, if there is desire to 
revert back, it's a simple switch in RVM. 

Wayne